SDL_GetTexturePalette(3)

NAME
SDL_GetTexturePalette - Get the palette used by a texture.

SYNOPSIS
#include <SDL3/SDL_render.h>

SDL_Palette * SDL_GetTexturePalette(SDL_Texture *texture);

FUNCTION PARAMETERS

texture
    the texture to query.

RETURN VALUE
Returns a pointer to the palette used by the texture, or NULL if there is no palette used.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.4.0.

SEE ALSO
SDL_SetTexturePalette(3)